<html>
    <head>
        <title>CSS Selector</title>
    </head>

    <style>
        /* CSSS */
        /* 1.  Selector Universal (all) - berlaku terhadap semua komponen di dalam html -- priority low */
        *{
            font-family: 'Arial';
            color:blue;
        }

        /* 2. selector component - berlaku untuk komponen yang disebutkan */
        h1{
            color:red
        }

        div{
            font-family: 'Times New Roman', Times, serif;
        }

        /* 3. class selector - tanda . (dot) */
        .bg-biru{
            background-color: blue;
        }

        .text-white{
            color:white;
        }

        /* 4. id selector - tanda #  -- high prior*/
        #judul-satu{
            font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
            color: brown;
        }

        #judul-dua{
            color:teal
        }
        
    </style>

    <body>
        <h1 id="judul-satu" class="bg-biru">CSS Selector</h1>
        <h1>CSS Selector</h1>
        <h2>CSS Selector</h2>
        <h3 class="bg-biru text-white">CSS Selector</h3>

        <div class="bg-biru text-white">
            halo aku di dalam div
        </div>
    </body>

    <script>
        // Javascript (functionnal / behaviour ke html)
        document.getElementById("judul-satu").onmouseover = function(){
            document.getElementById("judul-satu").style = "color:green"
        }
=
        document.getElementById("judul-satu").onmouseout = function(){
            document.getElementById("judul-satu").style = "color:white"
        }

       var elements =  document.getElementsByClassName('bg-biru')

       console.log(elements)
       for(i = 0; i < elements.length;i++){ // dari 0 sampai jumlah element, tolong lakukan kode dibawah : 
           
            elements[i].addEventListener('click', function(e){
               e.target.style = "background-color:red"
           })

           elements[i].addEventListener('mouseout', function(e){
               e.target.style = "background-color:blue"
           })

           
       }
    </script>
</html>